Bug 754879 - Review Request: kup - Kernel.org Uploader
Summary: Review Request: kup - Kernel.org Uploader
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Josh Boyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-18 02:17 UTC by Konstantin Ryabitsev
Modified: 2011-12-10 21:29 UTC (History)
4 users (show)

Fixed In Version: kup-0.3.1-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-10 19:34:21 UTC
Type: ---
jwboyer: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Konstantin Ryabitsev 2011-11-18 02:17:52 UTC
Spec URL: http://fedorapeople.org/~icon/f/kup.spec
SRPM URL: http://fedorapeople.org/~icon/f/kup-0.3-1.fc16.src.rpm
Description:
Kup is a secure upload tool used by kernel developers to upload
cryptographically verified packages to kernel.org.

Comment 1 Josh Boyer 2011-11-18 15:32:11 UTC
- Package meets naming and packaging guidelines
- Spec file matches base package name.
- Spec has consistant macro usage.
- Meets Packaging Guidelines.
- License
- License field in spec matches
- License file included in package
- Spec in American English
- Spec is legible.
- Sources match upstream md5sum:

Upstream doesn't release tarballs, but the git checkout of kup-0.3 matches

- BuildRequires correct
- Package has %defattr and permissions on files is good.
- Package has a correct %clean section.
- Package is code or permissible content.
- Packages %doc files don't affect runtime.
- Package compiles and builds on at least one arch.
- Package has no duplicate files in %files.
- Package doesn't own any directories other packages own.
- Package owns all the directories it creates.
- No rpmlint output.

[jwboyer@zod kup]$ rpmlint ~/rpmbuild/RPMS/noarch/kup-0.3-1.fc16.noarch.rpm 
kup.noarch: W: spelling-error %description -l en_US cryptographically -> photographically, typographically, topographically
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
[jwboyer@zod kup]$ rpmlint ~/rpmbuild/RPMS/noarch/kup-server-0.3-1.fc16.noarch.rpm 
kup-server.noarch: W: spelling-error %description -l en_US cryptographically -> photographically, typographically, topographically
kup-server.noarch: W: non-ghost-in-var-run /var/run/kup
kup-server.noarch: E: non-standard-dir-perm /var/lib/kup/tmp 01777L
kup-server.noarch: W: non-ghost-in-var-run /var/run/kup/lock
kup-server.noarch: E: zero-length /var/run/kup/lock
kup-server.noarch: W: no-manual-page-for-binary kup-server
1 packages and 0 specfiles checked; 2 errors, 4 warnings.
[jwboyer@zod kup]$ rpmlint ~/rpmbuild/RPMS/noarch/kup-server-utils-0.3-1.fc16.noarch.rpm 
kup-server-utils.noarch: W: spelling-error %description -l en_US cryptographically -> photographically, typographically, topographically
kup-server-utils.noarch: W: no-documentation
kup-server-utils.noarch: W: no-manual-page-for-binary gpg-sign-all
kup-server-utils.noarch: W: no-manual-page-for-binary genrings
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
[jwboyer@zod kup]$ rpmlint kup-0.3-1.fc16.src.rpm 
kup.src: W: spelling-error %description -l en_US cryptographically -> photographically, typographically, topographically
kup.src: W: invalid-url Source0: kup-0.3.tar.gz
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
[jwboyer@zod kup]$ 

The warnings can be ignored, but the errors might need to be fixed.

You should probably add a:

Requires: gnupg2

as well.  Otherwise gpg-sign-all and genrings aren't going to work very well.

Other than that, it looks good.

Comment 2 H. Peter Anvin 2011-11-18 18:13:26 UTC
Requires: gnupg ... this doesn't use gnupg2.

Comment 3 Josh Boyer 2011-11-18 18:40:59 UTC
(In reply to comment #2)
> Requires: gnupg ... this doesn't use gnupg2.

Ah, yes.  Of course you are correct.

Comment 4 Konstantin Ryabitsev 2011-11-18 19:27:13 UTC
rpmlint errors can be ignored, since there is a hard requirement for kup-server to have its own 1777 tmp directory (must be on the same FS as the pub directory), and /var/run/kup/lock must be a file that exists in order to flock(), but doesn't need to contain any content.

I've added both gnupg and xz to the Requires: for kup-server and kup-server-utils requires kup-server, so the reqs will be in place if someone tries to use genrings or gpg-sign-all.

Spec URL: http://fedorapeople.org/~icon/f/kup.spec
SRPM URL: http://fedorapeople.org/~icon/f/kup-0.3-2.fc16.src.rpm

Comment 5 H. Peter Anvin 2011-11-18 21:18:55 UTC
There is a choice on between a 1777 tmp directory and a tmp directory with individual per-user subdirectories.  Those would have to be created by an administrator or an external mechanism.

Comment 6 Josh Boyer 2011-11-20 13:21:02 UTC
Thanks for the quick fixup.

APPROVED.

Comment 7 Konstantin Ryabitsev 2011-11-21 17:31:06 UTC
Thanks, jwb!

New Package SCM Request
=======================
Package Name: kup
Short Description: Kernel.org Uploader
Owners: icon
Branches: f15 f16 el5 el6
InitialCC:

Comment 8 Gwyn Ciesla 2011-11-21 18:15:33 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2011-11-21 18:42:38 UTC
kup-0.3-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kup-0.3-2.fc15

Comment 10 Fedora Update System 2011-11-21 18:45:38 UTC
kup-0.3-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kup-0.3-2.fc16

Comment 11 Fedora Update System 2011-11-23 00:59:58 UTC
kup-0.3-2.fc16 has been pushed to the Fedora 16 testing repository.

Comment 12 Fedora Update System 2011-11-24 20:53:00 UTC
kup-0.3.1-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/kup-0.3.1-1.el5

Comment 13 Fedora Update System 2011-11-24 21:01:47 UTC
kup-0.3.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/kup-0.3.1-1.el6

Comment 14 Fedora Update System 2011-12-10 19:34:21 UTC
kup-0.3.1-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 15 Fedora Update System 2011-12-10 19:44:39 UTC
kup-0.3.1-1.fc16 has been pushed to the Fedora 16 stable repository.

Comment 16 Fedora Update System 2011-12-10 21:28:27 UTC
kup-0.3.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 17 Fedora Update System 2011-12-10 21:29:25 UTC
kup-0.3.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.